/*****************************************************************************

   This file is part of x2600, the Atari 2600 Emulator
   ===================================================
   
   Copyright 1996 Alex Hornby. For contributions see the file CREDITS.

   This software is distributed under the terms of the GNU General Public
   License. This is free software with ABSOLUTELY NO WARRANTY.
   
   See the file COPYING for Details.
   
   $Id: main.c,v 1.20 1997/02/23 20:39:12 ahornby Exp ahornby $
******************************************************************************/
//This file was modified (Heavily) from its original version for use in PocketVCS
// by Stuart Russell

/* 
   The main program body.
 */
#include "config.h"
#include <stdio.h>
#include <stdlib.h>
#include "stdafx.h"

#include "types.h"
#include "display.h"
#include "keyboard.h"
#include "files.h"
#include "vmachine.h"
#include "options.h"
extern int bThreadRunning;
extern int restart(void);
extern int ClearScreen (int colRed,int colGreen, int colBlue);
extern int nOptions_SoundOn;
char filename[80];
char *argv[64];
int argc;
extern int pausing;

#include "sound.h"

/* The mainloop from cpu.c */
extern void mainloop (void);

/* Make sure any exit() calls free up shared memory */
void
cleanup (void)
{
  /* Close the raw keyboard */
  //close_keyboard ();

  /* Close the PC joystick */
  //close_realjoy ();

  /* Close down display */
  //tv_off ();

  /* Report on instruction usage */
//#ifdef PROFILE
//  profile_report ();
//#endif
  /* Turn off the sound */
  //sound_close ();

}
/* The main entry point */
/* argc: number of command line arguments */
/* argv: the argument text */
void
main (void *pArg)
{
  strcpy(filename, argv[argc - 1]);

	  /* Initialise the 2600 hardware */
	 init_hardware ();
	  /* Turn the virtual TV on. */
	 tv_on ();

     /* load cartridge image */
     if (loadCart ())
	 {
        //fprintf (stderr, "Error loading cartridge image.\n");
		exit(0);
     }
 
	 /* Cannot be done until file is loaded */
     init_banking();
    //clearscreen
	ClearScreen(0,0,0);

  /* start cpu */
  mainloop ();

  	bThreadRunning =FALSE;
}
